[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.PutItem

Put one item on the stream

## Declaration

Source position: objects.pp line 423

`procedure TCollection.PutItem(`
`var S: TStream;`
`Item: Pointer`
`); virtual;`

## Description

PutItem writes Item to stream S. This method is used internaly by the TCollection object, and should not be called directly.

## Errors

Errors are those returned by TStream.Put.

## See also

Store |  | Write collection to a stream.
GetItem |  | Read one item off the stream.

Documentation generated on: Feb 26 2014